تعديل إضافات فايرفوكس للتوافق مع الإصدارات الجديدة منه

خطر ببالي هذا الأمر عندما أشار الزميل MhdBadi إلى أحد الإضافات التي لا تتوافق مع Firefox 3.5RC3.

بالفعل أكثر ما يزعج بتحديث برنامج فايرفوكس هو الترقب الذي يرافق اللحظة الاولى لتشغيله أثناء الكشف عن الإضافات التي تتوافق أو لا تتوافق معه.

بحثت بالانترنت عن مخرج فوجدت طريقة قد لا تنجح في جميع الحالات لكنها تستحق التجربة من أجل التحديثات الـ Minor التي تطرأ على فايرفوكس:

1. قم بتحميل ملف الإضافة xpi على حاسبك بدون تنصيبها على فايرفوكس (يمكنك استخدام ie من أجل هذا)

2. حول لاحقة الملف إلى zip فالملف xpi  هو ملف مضغوط أصلاً وفك ضغطه

3. استخرج ملف install.rdf منه وافتحه في محرر نصوص بسيط كالمفكرة أو أي محرر html بسيط عندك.

4. ابحث عن سطر يشبه هذا <em:maxVersion>2.0</em:maxVersion> وغير الرقم في الوسط إلى الرقم الموافق لنسخة فاير فوكس التي لديك وتريد العمل عليها

5. احفظ الملف وأعده إلى المجلد ومن ثم أعد ضغطه وتحويل اللاحقة إلى xpi

6. اسحب الملف وافلته في فايرفوكس واتبع عمليات التنصيب.

المصدر: قاعدة معلومات موزيلا

Advertisements

الأوسمة: , , , ,

رد واحد to “تعديل إضافات فايرفوكس للتوافق مع الإصدارات الجديدة منه”

  1. عباس Says:

    بارك الله بك عزيزي

    أنا استخدم إضافة جميلة لها العديد من الأغراض ولكن من خياراتها تجاهل إصدارة الإضافات بضغطة واحدة 🙂 وقد استفدت منها كثيرًا في الانتقال إلى النسخة 3,5
    الإضافة اسمها Mr tech toolkit
    وبالفعل عملت معي جميع الإضافات السابقة ما عدا شريط أدوات جوجل والذي سبب لي بعض المشاكل حتى قمت بإزالته

    شكري لك

اترك رد

إملأ الحقول أدناه بالمعلومات المناسبة أو إضغط على إحدى الأيقونات لتسجيل الدخول:

WordPress.com Logo

أنت تعلق بإستخدام حساب WordPress.com. تسجيل خروج   / تغيير )

صورة تويتر

أنت تعلق بإستخدام حساب Twitter. تسجيل خروج   / تغيير )

Facebook photo

أنت تعلق بإستخدام حساب Facebook. تسجيل خروج   / تغيير )

Google+ photo

أنت تعلق بإستخدام حساب Google+. تسجيل خروج   / تغيير )

Connecting to %s


%d مدونون معجبون بهذه: